Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class CodeQualityExtension

    java.lang.Object
      org.gradle.api.plugins.quality.CodeQualityExtension

    abstract class CodeQualityExtension

Property Summary
`boolean` | `ignoreFailures` Whether or not to allow the build to continue if there are warnings.
`File` | `reportsDir` The directory where reports will be generated.
`Collection` | `sourceSets` The source sets to be analyzed as part of the `check` and `build` tasks.
`String` | `toolVersion` The version of the code quality tool to be used.

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### ignoreFailures

    boolean ignoreFailures

  Whether or not to allow the build to continue if there are warnings. Example: ignoreFailures = true

### reportsDir

    File reportsDir

  The directory where reports will be generated.

### sourceSets

    Collection sourceSets

  The source sets to be analyzed as part of the `check` and `build` tasks.

### toolVersion

    String toolVersion

  The version of the code quality tool to be used.

Gradle API 1.1-rc-1